Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ddlutils.io
Class SetColumnPropertyFromSubElementRule

    java.lang.Object
      org.apache.commons.digester.Rule
          org.apache.ddlutils.io.SetColumnPropertyFromSubElementRule

    public class SetColumnPropertyFromSubElementRule

extends Rule

A digester rule for setting a bean property that corresponds to a column with the value derived from a sub element.

Version:
  $Revision: 289996 $

Field Summary

Fields inherited from class org.apache.commons.digester.Rule
`digester, namespaceURI`

Constructor Summary
`SetColumnPropertyFromSubElementRule(Column column, SqlTypeConverter converter)` Creates a new creation rule that sets the property corresponding to the given column.

Method Summary
`void` | `begin(Attributes attributes)`
`void` | `body(String text)`
`void` | `end()`

Methods inherited from class org.apache.commons.digester.Rule
`begin, body, end, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetColumnPropertyFromSubElementRule

    public SetColumnPropertyFromSubElementRule(Column column,
                                               SqlTypeConverter converter)

  Creates a new creation rule that sets the property corresponding to the given column.

  Parameters:
    `column` - The column that this rule shall set
    `converter` - The converter to be used for this column

Method Detail

### begin

    public void begin(Attributes attributes)
               throws Exception

  Overrides:
    `begin` in class `Rule`
  Throws:
    `Exception`

### end

    public void end()
             throws Exception

  Overrides:
    `end` in class `Rule`
  Throws:
    `Exception`

### body

    public void body(String text)
              throws Exception

  Overrides:
    `body` in class `Rule`
  Throws:
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.